#
# spec file for package heif-gimp-plugin.spec
#
# Copyright (c) 2019 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           heif-gimp-plugin
Version:        1.1.0+git20191012.d6bea52
Release:        2.20
Summary:        Plugin for GIMP to load HEIF files
License:        GPL-2.0
URL:            https://github.com/strukturag/heif-gimp-plugin
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gimp-devel >= 2.8
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(libde265)
BuildRequires:  pkgconfig(libheif)

%description
This is a GIMP plugin for loading and saving HEIF images (High Efficiency Image
File Format). HEIF is a new image file format employing HEVC (h.265) image
coding for the best compression ratios currently possible.

%package -n gimp-plugin-heif
Summary:        Plugin for GIMP to load HEIF files
Requires:       gimp >= 2.8

%description -n gimp-plugin-heif
This is a GIMP plugin for loading and saving HEIF images (High Efficiency Image
File Format). HEIF is a new image file format employing HEVC (h.265) image
coding for the best compression ratios currently possible.

%prep
%autosetup

%build
autoreconf -fi
glib-gettextize --copy --force
intltoolize --copy --force --automake
%configure
make %{?_smp_mflags}

%install
%make_install

%files -n gimp-plugin-heif
%doc README.md
%license COPYING
%{_libdir}/gimp/2.0/plug-ins/heif-gimp-plugin
%{_datadir}/gimp-heif-plugin/
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/gimp20-heif-plugin.mo

%changelog
* Wed Jan  8 2020 olaf@aepfle.de
- Avoid broken autogen.sh
* Mon Dec 16 2019 malcolmlewis@opensuse.org
- Initial build at version 1.1.0+git20191012.d6bea52.
